New Magento Enhancements Available Today [27 March 2019 ]

Written by  Wednesday, 27 March 2019 05:44

Today, Magento is releasing new versions of Magento Commerce and Open Source to increase product security, performance and functionality:

  • Magento Commerce and Open Source 2.3.1
  • Magento Commerce and Open Source 2.2.8
  • Magento Commerce and Open Source 2.1.17
  • Magento Commerce 1.14.4.1
  • Magento Open Source 1.9.4.1
  • SUPEE-11086 to patch earlier Magento 1.x versions

These releases include security enhancements that help close cross-site scripting, arbitrary code execution, and sensitive data disclosure vulnerabilities as well as other security issues. No confirmed attacks related to these issues have occurred to date. However, certain vulnerabilities can potentially be exploited to access customer information or take over administrator sessions, so we strongly recommend that all merchants upgrade as soon as possible. Additionally, as a reminder we released the following patches recently that might be useful for you:

  • Patch to secure Payflow Pro payment method against fraudulent activity for Magento 2.1, 2.2, & 2.3. Learn More.
  • Patch to continue support for payments via Authorize.net Direct Post. Learn more.

The release of Magento 2.3.1 also includes powerful new merchant and developer experience enhancements and multiple performance improvements. More information about the security changes is available on https://magento.com/security. Full details are available in the Magento Commerce and Open Source release notes:

8 Read Last modified on Wednesday, 27 March 2019

Leave a comment

Make sure you enter all the required information, indicated by an asterisk (*). HTML code is not allowed.

Related items

  • Mac how to Upgrade php v5 to php v7
    in PHP

    We will proceed by installing PHP 5.5, PHP 5.6, PHP 7.0, and PHP 7.1 and using a simple script to switch between them as we need.

    $ brew install php55 --with-apache
    $ brew unlink php55
    $ brew install php56 --with-apache
    $ brew unlink php56
    $ brew install php70 --with-apache
    $ brew unlink php70
    $ brew install php71 --with-apache
    

     Let's do it!

    brew install php71

    But, we looking Error:

    ==> Installing php71 from josegonzalez/php
    Error: Cannot install josegonzalez/php/php71 because conflicting formulae are installed.
    
      php55: because different php versions install the same binaries.
    
    Please `brew unlink php55` before continuing.
    
    Unlinking removes a formula's symlinks from /usr/local. You can
    link the formula again after the install finishes. You can --force this
    install, but the build may fail or cause obscure side-effects in the
    resulting software.

    Dont panic! :-) Run unlink command:

    brew unlink php55

    # Unlinking /usr/local/Cellar/php55/5.5.38_11... 17 symlinks removed

    Then try again:

    brew install php71
    
    
    # ==> Summary
    # ?  /usr/local/Cellar/php71/7.1.0_11: 342 files, 39.7M

    Then try our php version

    php -v

    PHP 7.1.0 (cli) (built: Dec  2 2016 03:30:24) ( NTS )
    Copyright (c) 1997-2016 The PHP Group
    Zend Engine v3.1.0-dev, Copyright (c) 1998-2016 Zend Technologies